[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TBucketProcObject

Callback for the ForEach call.

## Declaration

Source position: contnrs.pp line 528

`type TBucketProcObject = procedure(`
`AItem: Pointer;`
`AData: Pointer;`
`out AContinue: Boolean`
`) of object;`

## Arguments

`AItem` |  | Item
`AData` |  | Data associated with item
`AContinue` |  | Set to false to stop iteration over items.

## Description

TBucketProcObject is the prototype for the TCustomBucketList.Foreach call. It is the method (procedure of object) form. The Continue parameter can be set to False to indicate that the Foreach call should stop the iteration.

For a plain procedural callback, see the TBucketProc prototype.

## See also

TCustomBucketList.Foreach |  | Loop over all items.
TBucketProc |  | Callback for the ForEach call.